#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_StarLotteryVIPChipEachDayLimitCFGData
{
	//注册天数
	int mCreateDays;
	//当日可获得的话费碎片的最大值
	int mGetMaxChip;
};

class M_StarLotteryVIPChipEachDayLimitCFG
{
public:
private:
	static std::auto_ptr<M_StarLotteryVIPChipEachDayLimitCFG> msSingleton;
public:
	int GetCount();
	const M_StarLotteryVIPChipEachDayLimitCFGData* GetData(int CreateDays);
	boost::unordered_map<int, M_StarLotteryVIPChipEachDayLimitCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_StarLotteryVIPChipEachDayLimitCFG* GetSingleton();
private:
	boost::unordered_map<int, M_StarLotteryVIPChipEachDayLimitCFGData> mMapData;
};
